← Alle Tool-Kategorien
150 Arbeitswerkzeuge

Text- und Listenwerkzeuge

Inhalte bereinigen, vergleichen und messen, ohne Arbeitsdaten hochzuladen.

Textzeilen zentrieren

Zentrieren Sie jede Zeile innerhalb einer exakten Unicode-Zeichenbreite, während leere Zeilen beibehalten und destruktive Kürzungen abgelehnt werden.

Werkzeug öffnen →

Präfix von Wörtern entfernen

Entfernen Sie ein genaues führendes Fragment von übereinstimmenden Unicode-Wörtern und lassen Sie Satzzeichen, Abstände und nicht übereinstimmende Wörter unverändert.

Werkzeug öffnen →

Suffix von Wörtern entfernen

Entferne genau eine passende Endung von Unicode-Wörtern, ohne Trennzeichen zu glätten oder Wörter zu verändern, die dieses Suffix nicht tragen.

Werkzeug öffnen →

Trennzeichen zwischen Zeichen einfügen

Platzieren Sie ein gewähltes Trennzeichen zwischen Unicode-Codepunkten, ohne Surrogatpaare wie Emojis in ungültige Hälften aufzuteilen.

Werkzeug öffnen →

Jede Textzeile zitieren

Jede Zeile in doppelte Anführungszeichen, einfache Anführungszeichen oder Backticks einschließen und dabei leere Zeilen sowie die ursprüngliche Zeilenreihenfolge beibehalten.

Werkzeug öffnen →

Anführungszeichen aus Textzeilen entfernen

Entfernen Sie von jeder Zeile ein ausgewogenes äußeres Anführungszeichenpaar mithilfe automatischer oder expliziter Anführungszeichenstil-Zuordnung.

Werkzeug öffnen →

Zitat jedes Wort

Umschließe jedes Unicode-Wort-Token mit einem ausgewählten Anführungszeichenzeichen, während Kommas, Satzzeichen und der ursprüngliche Leerraum beibehalten werden.

Werkzeug öffnen →

Anführungszeichen aus Wörtern entfernen

Individuell in Anführungszeichen gesetzte Unicode-Wörter auspacken, wenn beide Anführungszeichen übereinstimmen, ohne nicht zusammenhängende Anführungszeichen aus dem Fließtext zu löschen.

Werkzeug öffnen →

Leere Zeilen normalisieren

Begrenze aufeinanderfolgende leere Zeilen auf ein genaues Maximum, während die Einrückung und jede nicht leere Zeile erhalten bleiben.

Werkzeug öffnen →

Leerzeichen in Zeilenumbrüche umwandeln

Jedes durch Leerzeichen getrennte Token in eine eigene Zeile umwandeln und wiederholte Leerzeichen, Tabulatoren und vorhandene Zeilenumbrüche deterministisch zusammenfassen.

Werkzeug öffnen →

Zeilenumbrüche in ein Trennzeichen umwandeln

Verbinden Sie nicht leere Textzeilen mit einem konfigurierbaren Trennzeichen, während nur der äußere Leerzeichenbereich jeder Zeile gekürzt wird.

Werkzeug öffnen →

Wortfrequenz-Analysator

Unicode-Wörter nach Häufigkeit sortieren, mit einstellbarer Mindestlänge, Ergebnisbegrenzung und Unterscheidung zwischen Groß- und Kleinschreibung.

Werkzeug öffnen →

Buchstaben in Wörtern sortieren

Sortiere Unicode-Buchstaben und -Zahlen innerhalb jedes Wortes unabhängig, ohne Satzzeichen oder die Wörter selbst zu verschieben.

Werkzeug öffnen →

Alle Textzeichen sortieren

Ordnen Sie jeden Unicode-Codepoint über die gesamte Eingabe hinweg mit optionaler Entfernung von Leerzeichen und expliziter aufsteigender oder absteigender Richtung.

Werkzeug öffnen →

Nummer Text Sätze

Jeden erkannten Satz auf eine eigene nummerierte Zeile setzen, mit einem konfigurierbaren Startwert und drei gut lesbaren Markierungsstilen.

Werkzeug öffnen →

Nummer Textabsätze

Nummeriere durch Leerzeilen getrennte Absätze, wobei alle Zeilenumbrüche und die Formatierung innerhalb jedes Absatzes beibehalten werden.

Werkzeug öffnen →

Doppelte Sätze finden

Liste wiederholte vollständige Sätze mit Zählungen unter Verwendung eines expliziten fallsensitiven oder nicht fallsensitiven Vergleichs.

Werkzeug öffnen →

Einzigartiger Satz-Extraktor

Behalten Sie das erste Vorkommen jedes vollständigen Satzes und entfernen Sie spätere Duplikate nach einer auswählbaren Groß-/Kleinschreibungsregel.

Werkzeug öffnen →

Base32 Text Encoder und Decoder

UTF-8-Text in kanonisches RFC 4648 Base32 konvertieren oder einen mit Padding versehenen oder unpadded Base32-Wert strikt dekodieren.

Werkzeug öffnen →

Base32hex Text Encoder und Decoder

UTF-8 mit dem erweiterten hexadezimalen Base32-Alphabet nach RFC 4648 Abschnitt 7 kodieren und dekodieren.

Werkzeug öffnen →

Base45 Text Encoder und Decoder

Transformiere UTF-8-Text mit dem kompakten RFC-9285-Base45-Alphabet, das von QR-orientierten Datenformaten verwendet wird.

Werkzeug öffnen →

Base58 Bitcoin-Textkodierer und -dekodierer

Konvertieren Sie UTF-8-Bytes mit dem Bitcoin-Base58-Alphabet und bewahren Sie dabei führende Nullbytes exakt.

Werkzeug öffnen →

Ascii85-Textkodierer und -dekodierer

Kodieren Sie UTF-8 in fünfzeiligen Ascii85-Gruppen oder dekodieren Sie streng Adobe-kompatible Daten mit optionalen Trennzeichen und Z-Komprimierung.

Werkzeug öffnen →

Quoted-Printable-Text-Encoder und -Decoder

UTF-8-E-Mail-ähnlichen Text als RFC 2045 quoted-printable kodieren oder validierte Großbuchstaben-Escapes und vom Browser normalisierte Zeilenumbrüche dekodieren.

Werkzeug öffnen →